
/* Copyright (c) 2011, 2020, Oracle and/or its affiliates. */

/*
   DESCRIPTION
    <short description of component this file declares/defines>

   PRIVATE CLASSES
    <list of private classes defined - with one-line descriptions>

   NOTES
    <other useful comments, qualifications, etc.>

   MODIFIED    (MM/DD/YY)
    svassile    06/02/11 - Creation
 */

/**
 *  @author  svassile
 *  @since   release specific (what release of product did this appear in)
 */

package javax.ide.extension.spi;

import org.xml.sax.Locator;
import javax.xml.stream.Location;

/**
 * The intent of this interface is to create copies of location adapter and allow for overriding of the getters.
 * This way implementations can choose to skip or avoid costly implementations is the cost of computing them 
 * is high.
 */
public interface LocatorWrapper
    extends LocationAdapter
{
  LocatorWrapper createSnapshotCopy();
}
